var express = require('express');
var path = require('path');
var cookieParser = require('cookie-parser');
var logger = require('morgan');
var bodyParser = require('body-parser');

var serialNumberServiceRouter = require('./routes/serialNumberService');

var app = express();

app.use(logger('dev'));
app.use(express.json());
app.use(express.urlencoded({ extended: false }));

app.use(bodyParser.text({type: 'application/xml'}));
app.use(bodyParser.json({type: 'application/json'}));

app.use('/', serialNumberServiceRouter);
app.use('/serialNumberService', serialNumberServiceRouter);

module.exports = app;
